Nimbu Developer Docs
ReferenceTranslations

Update a translation

PUT
/translations/{translation_key}

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

translation_key*string

Translation key or id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/translations/string" \  -H "Content-Type: application/json" \  -d '{    "key": "string"  }'
{
  "id": "string",
  "url": "http://example.com",
  "key": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "value": "string",
  "values": {
    "property1": "string",
    "property2": "string"
  },
  "from_template": true
}